import babel from 'rollup-plugin-babel';
import uglify from 'rollup-plugin-uglify';
import eslint from 'rollup-plugin-eslint';
import multidest from 'rollup-plugin-multi-dest';

export default {
    entry: 'src/index.js',
    dest: 'dist/act.es.js',
    format: 'es',
    plugins: [
        eslint(),
        multidest([
            // targets "main" in package.json 
            {
                dest: 'dist/act.cjs.js',
                format: 'cjs',
                plugins: [
					babel()
                ]
            },
            // targets browsers 
            {
                dest: 'dist/act.min.js',
                format: 'iife',
                moduleName: 'Act',
                plugins: [
                	babel(),
                    uglify()
                ]
            }
        ])
    ]
};